package com.gx.obe.evaluation.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.composite.BroswerComposite;

/**
 * @Description: 评标课堂
 * @author guoyr
 */
public class EvaluationStudyAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		if(null != listener){
			listener.onLoad(this);
			Composite parent = listener.getParentComposite();
			BroswerComposite createProjectComposite = new BroswerComposite(parent, SWT.NONE);
			createProjectComposite.addTopActionListener(listener);
			String url = (String)this.getData("url");
			createProjectComposite.setUrl(url);
			listener.loadComposite(this, createProjectComposite);
		}
	}

}
