package com.gx.obe.evaluation.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.MessageDialog;

import com.gx.obe.action.bean.Action;
import com.gx.obe.components.core.enumeration.ExpertEnum;
import com.gx.obe.evaluation.dialog.BrowseBidFileDialog;
import com.gx.obe.util.utils.ObjectUtils;
import com.gx.obe.web.entity.expert.Expert;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 浏览投标文件
 * @author guoyr
 */
public class ViewBiddingFileAction extends Action {
	public void run(){
		TenderProjectEntity tenderProject = this.getTenderProject();
		
		Expert expert = (Expert)this.getData("expert");
		if(null != tenderProject){
			if(ObjectUtils.equals(expert.getSignType(), ExpertEnum.SIGN)){
				BrowseBidFileDialog dialog = new BrowseBidFileDialog(this.getParentShell(null), this);
				dialog.setOperator(SWT.MAX | SWT.CLOSE);
				dialog.setTitle(this.getMenu().getMenuName());
				dialog.open();
			}else if(ObjectUtils.equals(expert.getSignType(), ExpertEnum.AVOID)){
				MessageDialog.openWarning(this.getParentShell(null), "您已经回避！");
			}else {
				MessageDialog.openWarning(this.getParentShell(null), "请您先签到！");
			}
		}
	}
}
