package com.gx.obe.evaluation.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.common.widget.button.Tips;
import com.swtdesigner.SWTResourceManager;

public class EvaluationTips extends Composite {

	private Tips tips_label;
	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public EvaluationTips(Composite parent, int style) {
		super(parent, style);
		GridLayout gridLayout = new GridLayout(1, false);
		gridLayout.marginWidth = 100;
		setLayout(gridLayout);
		
		tips_label = new Tips(this, SWT.CENTER);
		tips_label.setTopMargin(10);
		tips_label.setBottomMargin(10);
		tips_label.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, true, 1, 1));
		tips_label.setFont(SWTResourceManager.getFont("宋体", 20, SWT.NORMAL));
//		label_7.setText("    "+com.gx.obe.components.core.I18N.getString(I18NEnum.EVALUATION_TIPS));
		tips_label.setText("蓝色图标表示可以评标的步骤；绿色图标表示已经完成的步骤；");
//		label_7.setImage(ResourceManager.getPluginImage(SWTCoreActivator.PLUGIN_ID, "icons/evaluaton_step/next.png"));
	}

	public void setTips(String tips){
		tips_label.setText(tips);
		this.layout();
	}
	@Override
	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}

}
