package com.gx.obe.evaluation.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import com.gx.obe.action.bean.Action;
import com.gx.obe.evaluation.composite.TenderProjectListComposite;

/**
 * @Description: 新版本加载开标主界面项目列表事件
 * @author guoyr
 */
public class NewMyProjectAction extends Action {
	public void run(){
		Composite composite = (Composite)this.getData("topComposite");
		Control[] controls =  composite.getChildren();
		for(Control control : controls ){
			control.dispose();
		}
		new TenderProjectListComposite(composite, this.getMenu(), SWT.NONE);
		composite.layout();
	}
}
