package com.gx.obe.evaluation.action;

import java.io.File;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.MessageDialog;
import org.eclipse.swt.widgets.Display;

import com.gx.obe.action.bean.EAction;
import com.gx.obe.common.dialog.FileBorwseDialog;
import com.gx.obe.common.file.enumeration.FileConstants;
import com.gx.obe.util.utils.FileUtils;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 浏览 澄清答疑文件
 * @author guoyr
 */
public class ViewBiddingQueryAndAnswerFileAction extends EAction {
	public void run(){
		TenderProjectEntity tenderProject = this.getTenderProject();
		if(null != tenderProject){
			File  answerQuestionFolder = new File(FileConstants.getAnswerQuestionFilePath(tenderProject.getId()));
			if(null != answerQuestionFolder && answerQuestionFolder.exists() && FileUtils.getDirectorySize(answerQuestionFolder.getAbsolutePath()) > 0){
				FileBorwseDialog dialog = new FileBorwseDialog(Display.getDefault().getActiveShell(), answerQuestionFolder);
				dialog.setTitle("招标文件的澄清、答疑文件");
				dialog.setOperator(SWT.MAX | SWT.CLOSE);
				dialog.open();
			}else {
				MessageDialog.openWarning(Display.getDefault().getActiveShell(), "未找到招标文件的澄清、答疑文件！");
			}
		}
		
	}
}
