package com.gx.obe.evaluation.action;

import java.io.File;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.MessageDialog;

import com.gx.obe.action.bean.EAction;
import com.gx.obe.common.file.enumeration.FileConstants;
import com.gx.tools.dialog.OpenDocumentDialog;

/**
 * @Description: 查看 评审手册
 * @author guoyr
 */
public class ViewEvaluationManualAction extends EAction {
	public void run(){
		
		String reviewManualFilePath = FileConstants.PRODUCT_ROOT + File.separator + FileConstants.RESOURCE_FOLDER + File.separator + FileConstants.EVALUATION_HELP_FILE;
		File reviewManualFile = null;
		if(new File(reviewManualFilePath+FileConstants.DOC).exists()){
			reviewManualFile = new File(reviewManualFilePath+FileConstants.DOC);
		}else if(new File(reviewManualFilePath+FileConstants.DOCX).exists()){
			reviewManualFile = new File(reviewManualFilePath+FileConstants.DOCX);
		}else if(new File(reviewManualFilePath+FileConstants.PDF).exists()){
			reviewManualFile = new File(reviewManualFilePath+FileConstants.PDF);
		}
		if(null != reviewManualFile && reviewManualFile.exists()){
			OpenDocumentDialog dialog = new OpenDocumentDialog(this.getParent().getShell(), reviewManualFile, true);
			dialog.setTitle(this.getName());
			dialog.setOperator(SWT.MAX | SWT.CLOSE);
			dialog.open();
		}else {
			MessageDialog.openWarning(this.getParent().getShell(), "未找到评审手册！");
		}
	}
}
