package com.gx.obe.evaluation.composite;

import java.util.ArrayList;
import java.util.List;

import com.gx.obe.web.entity.auth.AuthUser;
import com.gx.obe.web.entity.evaluation.EvaluationStep;

/**
 * @Description: 
 * @author guoyr
 */
public interface IRecommonedComposite {

	public class RecommonedTitle{
		private String id;
		private String userId;
		private String stepId;
		private String name;
		public AuthUser user;
		public EvaluationStep evaluationStep;
		public RecommonedTitle parent;
		public List<RecommonedTitle> childList;
		public AuthUser getUser() {
			return user;
		}
		public void setUser(AuthUser user) {
			this.user = user;
		}
		public EvaluationStep getEvaluationStep() {
			return evaluationStep;
		}
		public void setEvaluationStep(EvaluationStep evaluationStep) {
			this.evaluationStep = evaluationStep;
		}
		public RecommonedTitle getParent() {
			return parent;
		}
		public void setParent(RecommonedTitle parent) {
			this.parent = parent;
		}
		public List<RecommonedTitle> getChildList() {
			return childList;
		}
		public void setChildList(List<RecommonedTitle> childList) {
			this.childList = childList;
		}
		public String getId() {
			return id;
		}
		public void setId(String id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public void addChildTitle(RecommonedTitle childTitle){
			if(null == childList){
				childList = new ArrayList<RecommonedTitle>();
			}
			childList.add(childTitle);
		}
		public String getUserId() {
			return userId;
		}
		public void setUserId(String userId) {
			this.userId = userId;
		}
		public String getStepId() {
			return stepId;
		}
		public void setStepId(String stepId) {
			this.stepId = stepId;
		}
		
	}
}
